2020-10-14 05:21:50 UTC
231 MB
/usr/local/openjdk-14
JAVA_VERSION14.0.2
LANGC.UTF-8
MAVEN_CONFIG/root/.m2
MAVEN_HOME/usr/share/maven
PATH/usr/local/openjdk-14/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:bb79b6b2107fea8e8a47133a660b78e3a546998fcf0427be39ac9a0af4a97e90 - 11.19% (25.8 MB)
[#001] sha256:00028440d132be6f9dd59a787bc5d1372d575a539c19954651757f12912f2e65 - 1.34% (3.1 MB)
[#002] sha256:7865553c3609b81c17f53c118feac93b812fbe48f2927e86247119b0c5f38859 - 0.0% (210 Bytes)
[#003] sha256:03464def664221d5eae2df26f46afc21f8cbb59a7f32b5ac724172c5ccf16f7b - 82.42% (190 MB)
[#004] sha256:1a07d875d2fe2413bfee00d554693d80937e86716680f690d1be2e76837a152e - 1.08% (2.5 MB)
[#005] sha256:e7441ad769122ef8581c7f4b2cc0f53e32d43c67d6e7aa79cb84204867933a47 - 3.96% (9.14 MB)
[#006] sha256:4697f711c99b0d4f40ef43c8c43535075e86f72d90ecbca934c28d0491857273 - 0.0% (857 Bytes)
[#007] sha256:9e6508f1b593806ddd6c1c9ab0b97bbeb4ee77ce5742361e97feb424228220d5 - 0.0% (362 Bytes)
/bin/sh -c #(nop) ADD file:0dc53e7886c35bc21ae6c4f6cedda54d56ae9c9e9cd367678f1a72e68b3c43d4 in /
2020-10-13 01:39:05 UTC/bin/sh -c #(nop) CMD ["bash"]
2020-10-13 08:58:53 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates p11-kit ; rm -rf /var/lib/apt/lists/*
2020-10-13 08:58:53 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2020-10-13 09:01:51 UTC/bin/sh -c #(nop) ENV JAVA_HOME=/usr/local/openjdk-14
2020-10-13 09:01:51 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/openjdk-14/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-10-13 09:01:52 UTC/bin/sh -c { echo '#/bin/sh'; echo 'echo "$JAVA_HOME"'; } > /usr/local/bin/docker-java-home && chmod +x /usr/local/bin/docker-java-home && [ "$JAVA_HOME" = "$(docker-java-home)" ]
2020-10-13 09:01:52 UTC/bin/sh -c #(nop) ENV JAVA_VERSION=14.0.2
2020-10-13 09:02:21 UTC/bin/sh -c set -eux; arch="$(dpkg --print-architecture)"; case "$arch" in amd64 | i386:x86-64) downloadUrl=https://download.java.net/java/GA/jdk14.0.2/205943a0976c4ed48cb16f1043c5c647/12/GPL/openjdk-14.0.2_linux-x64_bin.tar.gz; downloadSha256=91310200f072045dc6cef2c8c23e7e6387b37c46e9de49623ce0fa461a24623d; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends wget ; rm -rf /var/lib/apt/lists/*; wget -O openjdk.tgz "$downloadUrl" --progress=dot:giga; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; { echo '#!/usr/bin/env bash'; echo 'set -Eeuo pipefail'; echo 'if ! [ -d "$JAVA_HOME" ]; then echo >&2 "error: missing JAVA_HOME environment variable"; exit 1; fi'; echo 'cacertsFile=; for f in "$JAVA_HOME/lib/security/cacerts" "$JAVA_HOME/jre/lib/security/cacerts"; do if [ -e "$f" ]; then cacertsFile="$f"; break; fi; done'; echo 'if [ -z "$cacertsFile" ] || ! [ -f "$cacertsFile" ]; then echo >&2 "error: failed to find cacerts file in $JAVA_HOME"; exit 1; fi'; echo 'trust extract --overwrite --format=java-cacerts --filter=ca-anchors --purpose=server-auth "$cacertsFile"'; } > /etc/ca-certificates/update.d/docker-openjdk; chmod +x /etc/ca-certificates/update.d/docker-openjdk; /etc/ca-certificates/update.d/docker-openjdk; find "$JAVA_HOME/lib" -name '*.so' -exec dirname '{}' ';' | sort -u > /etc/ld.so.conf.d/docker-openjdk.conf; ldconfig; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version
2020-10-13 09:02:22 UTC/bin/sh -c #(nop) CMD ["jshell"]
2020-10-14 05:21:41 UTC/bin/sh -c #(nop) ARG MAVEN_VERSION=3.6.3
2020-10-14 05:21:41 UTC/bin/sh -c #(nop) ARG USER_HOME_DIR=/root
2020-10-14 05:21:42 UTC/bin/sh -c #(nop) ARG SHA=c35a1803a6e70a126e80b2b3ae33eed961f83ed74d18fcd16909b2d44d7dada3203f1ffe726c17ef8dcca2dcaa9fca676987befeadc9b9f759967a8cb77181c0
2020-10-14 05:21:42 UTC/bin/sh -c #(nop) ARG BASE_URL=https://apache.osuosl.org/maven/maven-3/3.6.3/binaries
2020-10-14 05:21:48 UTC|4 BASE_URL=https://apache.osuosl.org/maven/maven-3/3.6.3/binaries MAVEN_VERSION=3.6.3 SHA=c35a1803a6e70a126e80b2b3ae33eed961f83ed74d18fcd16909b2d44d7dada3203f1ffe726c17ef8dcca2dcaa9fca676987befeadc9b9f759967a8cb77181c0 USER_HOME_DIR=/root /bin/sh -c apt-get update && apt-get install -y curl procps && rm -rf /var/lib/apt/lists/*
2020-10-14 05:21:49 UTC|4 BASE_URL=https://apache.osuosl.org/maven/maven-3/3.6.3/binaries MAVEN_VERSION=3.6.3 SHA=c35a1803a6e70a126e80b2b3ae33eed961f83ed74d18fcd16909b2d44d7dada3203f1ffe726c17ef8dcca2dcaa9fca676987befeadc9b9f759967a8cb77181c0 USER_HOME_DIR=/root /bin/sh -c mkdir -p /usr/share/maven /usr/share/maven/ref && curl -fsSL -o /tmp/apache-maven.tar.gz ${BASE_URL}/apache-maven-${MAVEN_VERSION}-bin.tar.gz && echo "${SHA} /tmp/apache-maven.tar.gz" | sha512sum -c - && tar -xzf /tmp/apache-maven.tar.gz -C /usr/share/maven --strip-components=1 && rm -f /tmp/apache-maven.tar.gz && ln -s /usr/share/maven/bin/mvn /usr/bin/mvn
2020-10-14 05:21:49 UTC/bin/sh -c #(nop) ENV MAVEN_HOME=/usr/share/maven
2020-10-14 05:21:50 UTC/bin/sh -c #(nop) ENV MAVEN_CONFIG=/root/.m2
2020-10-14 05:21:50 UTC/bin/sh -c #(nop) COPY file:1b3da5c58894f705e7387946301c0c52edb6271761ea3cd80b86a848847a64cd in /usr/local/bin/mvn-entrypoint.sh
2020-10-14 05:21:50 UTC/bin/sh -c #(nop) COPY file:2bbb488dd73c55d658b91943cfdf9c26975a320ceafc45dda94c95b03e518ad3 in /usr/share/maven/ref/
2020-10-14 05:21:50 UTC/bin/sh -c #(nop) ENTRYPOINT ["/usr/local/bin/mvn-entrypoint.sh"]
2020-10-14 05:21:50 UTC/bin/sh -c #(nop) CMD ["mvn"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.